org.apache.cassandra.transport

## Class Frame.Header

- java.lang.Object
- - org.apache.cassandra.transport.Frame.Header

Enclosing class:
  Frame

    public static class Frame.Header
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `Frame.Header.Flag`

### Field Summary

Fields
`static int` `BODY_LENGTH_SIZE`
`java.util.EnumSet<Frame.Header.Flag>` `flags`
`static int` `LENGTH`
`int` `streamId`
`Message.Type` `type`
`ProtocolVersion` `version`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### LENGTH

    public static final int LENGTH

See Also:
  Constant Field Values

#### BODY_LENGTH_SIZE

    public static final int BODY_LENGTH_SIZE

See Also:
  Constant Field Values

#### version

    public final ProtocolVersion version

#### flags

    public final java.util.EnumSet<Frame.Header.Flag> flags

#### streamId

    public final int streamId

#### type

    public final Message.Type type